Contraintes a mettre en place pour le FSC

10/07/2016 03:23 pm - Jeremy Barneron

Status: Nouveau Start date: 10/07/2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 12.00 hours
Target version: Spent time: 0.00 hour
Description

https://docs.google.com/document/d/1 PkzF8mWwI21XqgfgdOci-75SLOVmMODL|YNYvZs8IgE-c/edit#heading=h.mi3rzag17klv

- FileSync accede directement au disque de stockage GFT (pas de copie intermédiaire), mais en READ ONLY.

- Utilisation de I'extension ".tmp" du fichier en cours d'écriture.

- Fin d’'une alerte : indiquée par la création d’un fichier vide “ENDED” (ou “TERMINATED”) dans le dossier de I'alerte.

- Le client FileSync tient a jour dans un fichier la liste des fichiers transmis au serveur. Ainsi en cas de crash, il pourra reprendre la

transmission a partir de ce fichier. Ce fichier sera stocké dans un emplacement accessible a FileSync en écriture du style /tmp (et non
pas dans I'espace de dépbt des fichiers du GFT).

Related issues:
Copied to Evolution # 4580: Instance de FileSync pour I'entité FSC : unidirec... Nouveau 10/07/2016

History

#1 - 10/18/2016 04:34 pm - Etienne Pallier
- Subject changed from Copier (ou linker) les données a envoyer au FSC dans un repertoire FSC/TO/ (ou autre solution ?) to Contraintes a mettre en
place pour le FSC

https://docs.google.com/document/d/1PkzF8mWwI21XagfqdOci-75SLOVmMODLYNYvZs8IqE-c/edit#theading=h.mi3rzag17klv

- FileSync accéde directement au disque de stockage GFT (pas de copie intermédiaire), mais en READ ONLY.

- Utilisation de I'extension ".tmp" du fichier en cours d'écriture.

- Fin d’une alerte : indiquée par la création d'un fichier vide “ENDED” (ou “TERMINATED”) dans le dossier de I'alerte.

- Le client FileSync tient a jour dans un fichier la liste des fichiers transmis au serveur. Ainsi en cas de crash, il pourra reprendre la transmission a

partir de ce fichier. Ce fichier sera stocké dans un emplacement accessible a FileSync en écriture du style /tmp (et non pas dans I'espace de dépot
des fichiers du GFT).

#2 - 10/18/2016 05:14 pm - Etienne Pallier
- Description updated
